class ListaD;

class ElementLista
{
	int valoare;
	ElementLista *urmatorul;
	ElementLista *precedentul;
public:
	ElementLista(int i=0);
	friend class ListaD;
};


class ListaD
{
	ElementLista* capLista;
public:
	ListaD::ListaD(){capLista=NULL;}
	~ListaD();
	void Afisez();
	void AfisezInvers();
	void AdaugPrim(int i);
	void AdaugUltim(int i);
	void AdaugInainte(int i, int cheie);
	void StergPrim();
	void StergUltim();
	void StergCheie(int cheie);
};

